Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.mail
Class SearchDateOption

    java.lang.Object
      portlets.compoze.groupware.mail.SearchDateOption

All Implemented Interfaces:
  java.io.Serializable

public class SearchDateOption
extends java.lang.Object
implements java.io.Serializable

This class represents the searching by date options.

See Also:
  Serialized Form

Field Summary
`static SearchDateOption` | `DATED_AFTER` This value represents 'dated after' option.
`static SearchDateOption` | `DATED_BEFORE` This value represents 'dated before' option.
`static SearchDateOption` | `DATED_ON` This value represents 'dated on' option.
`static int` | `VALUE_DATED_AFTER` This represents the 'dated after' option.
`static int` | `VALUE_DATED_BEFORE` This represents the 'dated before' option.
`static int` | `VALUE_DATED_ON` This represents the 'dated on' option.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static SearchDateOption` | `get(int iValue)` Gets the date option by the value.
`java.lang.String` | `getKey()` Gets the key (message name) for i18n.
`static java.util.List` | `getSearchDateOptions()` Gets the list of date option objects.
`int` | `getValue()` Gets the value of the date option.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_DATED_AFTER

    public static final int VALUE_DATED_AFTER

  This represents the 'dated after' option.

  See Also:
    Constant Field Values

### VALUE_DATED_ON

    public static final int VALUE_DATED_ON

  This represents the 'dated on' option.

  See Also:
    Constant Field Values

### VALUE_DATED_BEFORE

    public static final int VALUE_DATED_BEFORE

  This represents the 'dated before' option.

  See Also:
    Constant Field Values

### DATED_AFTER

    public static final SearchDateOption DATED_AFTER

  This value represents 'dated after' option.

### DATED_ON

    public static final SearchDateOption DATED_ON

  This value represents 'dated on' option.

### DATED_BEFORE

    public static final SearchDateOption DATED_BEFORE

  This value represents 'dated before' option.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the key (message name) for i18n.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the date option.

  Returns:
    the value (see `VALUE_` constants)

### get

    public static SearchDateOption get(int iValue)

  Gets the date option by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching date option or `null` if not found

### getSearchDateOptions

    public static java.util.List getSearchDateOptions()

  Gets the list of date option objects.

  Returns:
    the list of `SearchDateOption` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.